/************************************************************************
** MODULE INFORMATION **
************************
** FILE NAME:          netif.h
** SYSTEM NAME:        Netmon
** TYPE NAME:          network interfaces
** ORIGINAL AUTHOR(S): L. Th. Weerpas & W. Haverhals
** VERSION NUMBER:     1.0
** CREATION DATE:      1992/6/9
**
** DESCRIPTION:        header file for netif.c
**                     We assume that the interfaces are set-up during
**                     IPL, are nerver moved around and also are never
**                     changed as long as the system is ALIVE.
*************************************************************************
** CHANGES INFORMATION **
*************************
** REVISION:           $Revision$
** WORKFILE:           $Workfile$
** LOGINFO:            $Log$
*************************************************************************
** COPYRIGHT           (c) 1992
**                     L. Th. Weerpas & W. Haverhals
**                     All rights reserved.
**
** NOTICE              Redistribution  and use in source and binary forms
**                     are  permitted  provided  that the above copyright
**                     notice  and  this  paragraph are duplicated in all
**                     such forms and that any documentation, advertising
**                     materials,  and  other  materials  related to such
**                     distribution and use acknowledge that the software
**                     was  developed  by  above  mentioned  authors. The
**                     name(s)  of the authors may not be used to endorse
**                     or  promote  products  derived  from this software
**                     without  specific  prior  written permission.
**                     THIS  SOFTWARE  IS  PROVIDED ``AS IS'' AND WITHOUT
**                     ANY  EXPRESS  OR  IMPLIED  WARRANTIES,  INCLUDING,
**                     WITHOUT  LIMITATION,  THE  IMPLIED  WARRANTIES  OF
**                     MERCHANTIBILITY   AND  FITNESS  FOR  A  PARTICULAR
**                     PURPOSE.
************************************************************************/

#ifndef _NETIF_H
#define _NETIF_H

/*
 * extra includes
 */

#include <sys/types.h>
#include <netinet/in.h>
#include <sys/socket.h>
#include <net/if.h>

/*
 * defines, typedefs, ...
 */

#define IF_MAX     (3)                  /* max nr of interfaces       */
#define IFADDR_MAX (3)                  /* max nr of addresses/if     */

typedef struct ifnet      IFNET;
typedef struct ifaddr     IFADR;

typedef struct _interface INTERFACE;
struct _interface
{
    char     name[ IFNAMSIZ + 1 ];      /* interface name:            'en0' */
    KVMOFST  offset;                    /* kernel offset for IFNET of 'en0' */
    short    naddr;                     /* nr of addresses                  */
    IFADR    addr[ IFADDR_MAX ];        /* list  of addresses               */
    IFNET    stat1;                     /* updated field                    */
    IFNET    stat2;                     /* updated field                    */
    IFNET   *pold;                      /* updated field : ptr to previous  */
    IFNET   *pnew;                      /* updated field : ptr to latest    */
};

/*
 * GLOBAL externs
 */

#ifndef _NETIF_C
extern MODFUNC modif;
#endif

/*
 * prototypes
 */

#ifdef _NETIF_C
void IfInit( void );
void IfText( int x, int y );
void IfUpdate( int x, int y );
#endif

#endif /* end of netif.h */


