/************************************************************************
** MODULE INFORMATION **
************************
** FILE NAME:          netip.h
** SYSTEM NAME:        Netmon
** TYPE NAME:          IP
** ORIGINAL AUTHOR(S): L. Th. Weerpas & W. Haverhals
** VERSION NUMBER:     1.0
** CREATION DATE:      1992/6/9
**
** DESCRIPTION:        header file for netip.c
*************************************************************************
** CHANGES INFORMATION **
*************************
** REVISION:           $Revision$
** WORKFILE:           $Workfile$
** LOGINFO:            $Log$
*************************************************************************
** COPYRIGHT           (c) 1992
**                     L. Th. Weerpas & W. Haverhals
**                     All rights reserved.
**
** NOTICE              Redistribution  and use in source and binary forms
**                     are  permitted  provided  that the above copyright
**                     notice  and  this  paragraph are duplicated in all
**                     such forms and that any documentation, advertising
**                     materials,  and  other  materials  related to such
**                     distribution and use acknowledge that the software
**                     was  developed  by  above  mentioned  authors. The
**                     name(s)  of the authors may not be used to endorse
**                     or  promote  products  derived  from this software
**                     without  specific  prior  written permission.
**                     THIS  SOFTWARE  IS  PROVIDED ``AS IS'' AND WITHOUT
**                     ANY  EXPRESS  OR  IMPLIED  WARRANTIES,  INCLUDING,
**                     WITHOUT  LIMITATION,  THE  IMPLIED  WARRANTIES  OF
**                     MERCHANTIBILITY   AND  FITNESS  FOR  A  PARTICULAR
**                     PURPOSE.
************************************************************************/

#ifndef _NETIP_H
#define _NETIP_H

/*
 * extra includes
 */

#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netinet/ip_var.h>

/*
 * defines, typedefs, ...
 */

typedef struct _netipstat NETIPSTAT;
struct _netipstat
{
    struct ipstat ipstat;
    long          snd_total;
    u_short       id;
};

/*
 * GLOBAL externs
 */

#ifndef _NETIP_C
extern MODFUNC modip;
#endif

/*
 * prototypes
 */

#ifdef _NETIP_C
void IpInit( void );
void IpText( int x, int y );
void IpUpdate( int x, int y );
#endif

#endif /* end of netip.h */


