/************************************************************************
** MODULE INFORMATION **
************************
** FILE NAME:          netmem.h
** SYSTEM NAME:        mbufs
** TYPE NAME:          ICMP
** ORIGINAL AUTHOR(S): L. Th. Weerpas & W. Haverhals
** VERSION NUMBER:     1.0
** CREATION DATE:      1992/6/9
**
** DESCRIPTION:        header file for netmem.c
*************************************************************************
** CHANGES INFORMATION **
*************************
** REVISION:           $Revision$
** WORKFILE:           $Workfile$
** LOGINFO:            $Log$
*************************************************************************
** COPYRIGHT           (c) 1992
**                     L. Th. Weerpas & W. Haverhals
**                     All rights reserved.
**
** NOTICE              Redistribution  and use in source and binary forms
**                     are  permitted  provided  that the above copyright
**                     notice  and  this  paragraph are duplicated in all
**                     such forms and that any documentation, advertising
**                     materials,  and  other  materials  related to such
**                     distribution and use acknowledge that the software
**                     was  developed  by  above  mentioned  authors. The
**                     name(s)  of the authors may not be used to endorse
**                     or  promote  products  derived  from this software
**                     without  specific  prior  written permission.
**                     THIS  SOFTWARE  IS  PROVIDED ``AS IS'' AND WITHOUT
**                     ANY  EXPRESS  OR  IMPLIED  WARRANTIES,  INCLUDING,
**                     WITHOUT  LIMITATION,  THE  IMPLIED  WARRANTIES  OF
**                     MERCHANTIBILITY   AND  FITNESS  FOR  A  PARTICULAR
**                     PURPOSE.
************************************************************************/

#ifndef _NETMEM_H
#define _NETMEM_H

/*
 * extra includes
 */

#include <sys/types.h>
#include <sys/time.h>
#include <sys/mbuf.h>

/*
 * defines, typedefs, ...
 */

typedef struct _netmemstat NETMEMSTAT;
struct _netmemstat
{
    struct  mbstat memstat;
};

/*
 * GLOBAL externs
 */

#ifndef _NETMEM_C
extern MODFUNC modmem;
#endif

/*
 * prototypes
 */

#ifdef _NETMEM_C
void MemInit( void );
void MemText( int x, int y );
void MemUpdate( int x, int y );
#endif

#endif /* end of netmem.h */


