/************************************************************************
** MODULE INFORMATION **
************************
** FILE NAME:          netmon.h
** SYSTEM NAME:        Netmon
** TYPE NAME:          basic definitions
** ORIGINAL AUTHOR(S): L. Th. Weerpas & W. Haverhals
** VERSION NUMBER:     1.0
** CREATION DATE:      1992/6/9
**
** DESCRIPTION:        basic Netmon definitions. To be used in all net
**                     modules
*************************************************************************
** CHANGES INFORMATION **
*************************
** REVISION:           $Revision$
** WORKFILE:           $Workfile$
** LOGINFO:            $Log$
*************************************************************************
** COPYRIGHT           (c) 1992
**                     L. Th. Weerpas & W. Haverhals
**                     All rights reserved.
**
** NOTICE              Redistribution  and use in source and binary forms
**                     are  permitted  provided  that the above copyright
**                     notice  and  this  paragraph are duplicated in all
**                     such forms and that any documentation, advertising
**                     materials,  and  other  materials  related to such
**                     distribution and use acknowledge that the software
**                     was  developed  by  above  mentioned  authors. The
**                     name(s)  of the authors may not be used to endorse
**                     or  promote  products  derived  from this software
**                     without  specific  prior  written permission.
**                     THIS  SOFTWARE  IS  PROVIDED ``AS IS'' AND WITHOUT
**                     ANY  EXPRESS  OR  IMPLIED  WARRANTIES,  INCLUDING,
**                     WITHOUT  LIMITATION,  THE  IMPLIED  WARRANTIES  OF
**                     MERCHANTIBILITY   AND  FITNESS  FOR  A  PARTICULAR
**                     PURPOSE.
************************************************************************/

#ifndef _NETMON_H
#define _NETMON_H

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <errno.h>
#include <strings.h>
#include <signal.h>

#include "netkern.h"
#include "netterm.h"

/*
 * defines and typedefs
 */

typedef unsigned char     FLAG;

typedef struct mon_module MON_MODULE;
struct mon_module
{
    FLAG      display;
    MODFUNC  *func;
};

/* guarded module calls */

#define DO_INIT(_m_)           if ( (void*) _m_->func->init != NULL )\
                                    (_m_->func->init)()

#define DO_TEXT(_m_,_x_,_y_)   if ( (void*) _m_->func->text != NULL )\
                                    (_m_->func->text)(_x_,_y_)

#define DO_UPDATE(_m_,_x_,_y_) if ( (void*) _m_->func->update != NULL )\
                                    (_m_->func->update)(_x_,_y_)

/*
 * GLOBAL externs from netmon.c
 */

#ifndef _NETMON_C
extern  char *prog;
#endif

/*
 * prototypes
 */

void SysClose ( int  ); 

#endif /* end of netmon.h */





